<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>U-Index</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions"><span class="typeNameLink">UnavailableItemException</span></a> - Exception in <a href="../org/tpepsi/exceptions/package-summary.html">org.tpepsi.exceptions</a></dt>
<dd>
<div class="block">Déclaration de l'exception UnavailableItemException
 <br>
 Lancée quand l'on essaie d'emprunter un Item qui est déjà emprunté</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/exceptions/UnavailableItemException.html#UnavailableItemException--">UnavailableItemException()</a></span> - Constructor for exception org.tpepsi.exceptions.<a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/exceptions/UnavailableItemException.html#UnavailableItemException-java.lang.String-">UnavailableItemException(String)</a></span> - Constructor for exception org.tpepsi.exceptions.<a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/exceptions/UnavailableItemException.html#UnavailableItemException-java.lang.String-java.lang.Throwable-">UnavailableItemException(String, Throwable)</a></span> - Constructor for exception org.tpepsi.exceptions.<a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/exceptions/UnavailableItemException.html#UnavailableItemException-java.lang.Throwable-">UnavailableItemException(Throwable)</a></span> - Constructor for exception org.tpepsi.exceptions.<a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/exceptions/UnavailableItemException.html#UnavailableItemException-java.lang.String-java.lang.Throwable-boolean-boolean-">UnavailableItemException(String, Throwable, boolean, boolean)</a></span> - Constructor for exception org.tpepsi.exceptions.<a href="../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">User</span></a> - Class in <a href="../org/tpepsi/data/entity/package-summary.html">org.tpepsi.data.entity</a></dt>
<dd>
<div class="block">Classe représentant un objet User
 <br>
 Uniquement utilisée pour l'emprunt et le rendu d'articles</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/User.html#User--">User()</a></span> - Constructor for class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
